import React from 'react';

// 内库使用-start
import List from "./../../List";
// 内库使用-end

/* 测试使用-start
import { List } from 'seedsui-react'
测试使用-end */

function ListBar(_ref) {
  var value = _ref.value,
    list = _ref.list,
    onChange = _ref.onChange;
  return /*#__PURE__*/React.createElement(List, {
    value: value,
    list: list,
    checkable: true,
    checkbox: function checkbox() {
      return /*#__PURE__*/React.createElement("i", {
        className: "toolbar-list-item-checkbox"
      });
    },
    checkboxPosition: "right",
    onChange: onChange
  });
}
export default ListBar;